# kdeui Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KNamedCommand Class Reference

A command which stores its name. More...

`#include <kcommand.h>`

Inheritance diagram for KNamedCommand:

[legend]
Collaboration diagram for KNamedCommand:

[legend]
List of all members.

## Public Member Functions

virtual QString | name () const
void | setName (const QString &name)

## Protected Member Functions

| KNamedCommand (const QString &name)
virtual void | virtual_hook (int id, void *data)

## Detailed Description

A command which stores its name.

It is more memory-efficient to use KCommand and to implement the name() method, but in some cases it's more simple or more flexible to store the name at creation time.

Definition at line 78 of file kcommand.h.

## Constructor & Destructor Documentation

KNamedCommand::KNamedCommand | ( | const QString & | name | ) | `[inline, protected]`

Creates a command.

Parameters:

  | name | the name of this command, translated, since it will appear in the menus.

Definition at line 86 of file kcommand.h.

## Member Function Documentation

virtual QString KNamedCommand::name | ( |  | ) | const`[inline, virtual]`

Returns:
  the name of this command

Implements KCommand.

Definition at line 92 of file kcommand.h.

void KNamedCommand::setName | ( | const QString & | name | ) | `[inline]`

| Updates the name of this command. Rarely necessary. Definition at line 97 of file kcommand.h.

The documentation for this class was generated from the following files:

- kcommand.h
- kcommand.cpp

This file is part of the documentation for kdeui Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:21:43 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003